| Elektra 0.11.0

List of all members
kdb::Wrapped Class Referenceabstract

Everything implementing this interface can be used as layer. More...

`#include <kdbvalue.hpp>`

Inherited by kdb::Value< T, PolicySetter1, PolicySetter2, PolicySetter3, PolicySetter4, PolicySetter5, PolicySetter6 >.

## Detailed Description

Everything implementing this interface can be used as layer.

Different from "Layer" objects they will not be constructed on activation but instead only the WrapLayer will be constructed and the wrapped object will be passed along by reference.

Note
  the lifetime must be beyond layer deactivation!

The documentation for this class was generated from the following file:

- kdbvalue.hpp